<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('cms_pages', function (Blueprint $table) {
            //
            $table->text("banner_image")->nullable();
            $table->text("sub_title_1")->nullable();
            $table->text("sub_title_2")->nullable();
            $table->text("flag_logo")->nullable();
            $table->text("flag_title_1")->nullable();
            $table->text("flag_title_2")->nullable();
            $table->text("about_image")->nullable();
            $table->text("about_video")->nullable();
            
            $table->text("slogan")->nullable();

            $table->text("our_business_title")->nullable();
            $table->text("our_business_sub_title")->nullable();
            $table->text("our_business_left_image")->nullable();
            $table->text("our_business_right_image")->nullable();

            $table->text("our_mission_title")->nullable();
            $table->text("our_mission_logo")->nullable();
            $table->text("our_mission_description")->nullable();

            $table->text("our_vission_title")->nullable();
            $table->text("our_vission_logo")->nullable();
            $table->text("our_vission_description")->nullable();

            $table->text("our_core_value_title")->nullable();
            $table->text("our_core_value_logo")->nullable();
            $table->text("our_core_value_description")->nullable();
            $table->text("our_core_li_1")->nullable();
            $table->text("our_core_li_2")->nullable();
            $table->text("our_core_li_3")->nullable();
            $table->text("our_core_li_4")->nullable();
            $table->text("our_core_li_5")->nullable();

            $table->text("evalution_title")->nullable();
            $table->text("evalution_sub_title")->nullable();

            $table->text("team_title")->nullable();
            $table->text("team_sub_title")->nullable();
            $table->text("team_description")->nullable();
            
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('cms_pages', function (Blueprint $table) {
            //
        });
    }
};
